BuildRequires: maven-license-plugin maven-shared-filtering
BuildRequires: /proc
BuildRequires: jpackage-compat
# fedora bcond_with macro
%define bcond_with() %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}
%define version 3.3
%define name xmltool
# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%global namedversion %{version}

%bcond_without bootstrap

Name:           xmltool
Version:        3.3
Release:        alt1_2jpp6
Epoch:          0
Summary:        XML DSL
Group:          Development/Java
License:        ASL 2.0
URL:            http://code.google.com/p/xmltool
# svn export http://xmltool.googlecode.com/svn/tags/xmltool-3.3 && tar cjf xmltool-3.3.tar.bz2 xmltool-3.3
# Exported revision 240.
Source0:        xmltool-3.3.tar.bz2
Patch0:         xmltool-pom.patch
Patch1:         xmltool-no-maven-license-plugin.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  apache-jar-resource-bundle >= 0:1.3
BuildRequires:  commons-parent
BuildRequires:  jpackage-utils
BuildRequires:  testng >= 0:5.8
BuildRequires:  maven2
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-eclipse
BuildRequires:  maven2-plugin-idea
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-surefire-plugin
%if %without bootstrap
BuildRequires:  maven-license-plugin >= 0:1.3.0
%endif
BuildArch:      noarch
Source44: import.info

%description
XML DSL.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java
Requires:       jpackage-utils
BuildArch: noarch

%description javadoc
Javadocs for %{name}.

%prep
%setup -q
%patch0 -p1 -b .sav0
%if %with bootstrap
%patch1 -p1 -b .sav1
%endif
%{__perl} -pi -e 's/\r$//g;' LICENSE.txt

sed -i -e s,com.google.code.maven-license-plugin,com.mycila.maven-license-plugin, pom.xml

%build
%{_bindir}/mvn-jpp -Dmaven.test.skip=true -Dmaven.repo.local= install javadoc:javadoc

%install

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p target/xmltool-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p target/xmltool-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
%{__cp} -p target/xmltool-%{namedversion}-project.zip %{buildroot}%{_javadir}/%{name}-%{namedversion}-project.zip
(cd %{buildroot}%{_javadir} && %{__ln_s} %{name}-%{namedversion}.jar %{name}.jar)
(cd %{buildroot}%{_javadir} && %{__ln_s} %{name}-%{namedversion}-sources.jar %{name}-sources.jar)
(cd %{buildroot}%{_javadir} && %{__ln_s} %{name}-%{namedversion}-project.zip %{name}-project.zip)

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{namedversion} %{name})

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap com.mycila.xmltool xmltool %{namedversion} JPP %{name}

%files
%doc LICENSE.txt
%{_javadir}/%{name}-%{namedversion}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{namedversion}-sources.jar
%{_javadir}/%{name}-sources.jar
%{_javadir}/%{name}-%{namedversion}-project.zip
%{_javadir}/%{name}-project.zip
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%changelog
* Sat Sep 03 2011 Igor Vlasenko <viy@altlinux.ru> 0:3.3-alt1_2jpp6
- new jpp release

* Sat Sep 03 2011 Igor Vlasenko <viy@altlinux.ru> 0:3.3-alt0.1jpp
- bootstrap pack of jars created with jppbootstrap script
- temporary package to satisfy circular dependencies

